Bug 1425523 - [RFE] Update Subscriptions Page in Satellite 6 to point to customer portal landing page.
Summary: [RFE] Update Subscriptions Page in Satellite 6 to point to customer portal la...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On: 1393544
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs 1417073
TreeView+ depends on / blocked
 
Reported: 2017-02-21 16:20 UTC by Rich Jerrido
Modified: 2020-12-14 08:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1393544
Environment:
Last Closed: 2018-02-21 12:38:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
Real subscriptions page (53.51 KB, image/png)
2017-09-20 08:53 UTC, Radovan Drazny
no flags Details
Real manifest page (67.83 KB, image/png)
2017-09-20 08:54 UTC, Radovan Drazny
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17622 0 Urgent Closed Enhance UI to make the need for virt-who apparent 2020-05-23 14:25:14 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 1 pm-sat@redhat.com 2017-02-21 17:07:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17622 has been resolved.

Comment 2 Radovan Drazny 2017-09-20 08:53:00 UTC
Tested on Sat 6 Snap 16.
Subscriptions page contains "Requires Virt-Who Usage" column in subscriptions table. See the attached picture "subscriptions_page.png".
In case the manifest contains subscription requiring Wirt-who, "Manage Manifest" page contains following note "The uploaded manifest contains subscriptions that require the use of virt-who. Learn how to configure and use this tool in the Virtual Instances Guide." Virtual Instances link points to https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/virtual-instances-guide/, which can be accessed. See the attached picture "manifest_page.png"

After removing subscription requiring Wirt-who, and refreshing the manifest, there is still "Requires Virt-Who Usage" in the table (without any checkmarks of course). The notice on the Manifest Page correctly disapperars. When Wirt-who requiring subscriptions is re-added to the manifest, the notice correctly reappears after manifest refresh.

VERIFIED

Comment 3 Radovan Drazny 2017-09-20 08:53:44 UTC
Created attachment 1328322 [details]
Real subscriptions page

Comment 4 Radovan Drazny 2017-09-20 08:54:39 UTC
Created attachment 1328324 [details]
Real manifest page

Comment 7 errata-xmlrpc 2018-02-21 12:38:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.